<?php
/**
 * @package     JohnCMS
 * @link        http://johncms.com
 * @copyright   Copyright (C) 2008-2011 JohnCMS Community
 * @license     LICENSE.txt (see attached file)
 * @version     VERSION.txt (see attached file)
 * @author      http://johncms.com/about
 */
define('_IN_JOHNCMS', 1);
require('../incfiles/core.php');
$lng_profile = core::load_lng('profile');
/*
-----------------------------------------------------------------
Закрываем от неавторизованных юзеров
-----------------------------------------------------------------
*/
if (!$user_id) {
    require('../incfiles/head.php');
    echo functions::display_error($lng['access_guest_forbidden']);
    require('../incfiles/end.php');
    exit;
}
/*
-----------------------------------------------------------------
Получаем данные пользователя
-----------------------------------------------------------------
*/
$user = functions::get_user($user);
if (!$user) {
    require('../incfiles/head.php');
    echo functions::display_error($lng['user_does_not_exist']);
    require('../incfiles/end.php');
    exit;
}
/*
-----------------------------------------------------------------
Переключаем режимы работы
-----------------------------------------------------------------
*/
$array = array(
    'activity'  => 'includes/profile',
    'ban'       => 'includes/profile',
    'edit'      => 'includes/profile',
    'images'    => 'includes/profile',
    'info'      => 'includes/profile',
    'ip'        => 'includes/profile',
    'guestbook' => 'includes/profile',
    'karma'     => 'includes/profile',
    'office'    => 'includes/profile',
    'password'  => 'includes/profile',
    'reset'     => 'includes/profile',
    'settings'  => 'includes/profile',
    'stat'      => 'includes/profile',
    'friends'   => 'includes/profile'
);
$path = !empty($array[$act]) ? $array[$act] . '/' : '';
if (array_key_exists($act, $array) && file_exists($path . $act . '.php')) {
    require_once($path . $act . '.php');
} else {
    /*
    -----------------------------------------------------------------
    Анкета пользователя
    -----------------------------------------------------------------
    */
    $headmod = 'profile,' . $user['id'];
    $textl = $lng['profile'] . ': ' . htmlspecialchars($user['name']);
    require('../incfiles/head.php');
    //Уведомление о дне рожденья
    if ($user['dayb'] == date('j', time()) && $user['monthb'] == date('n', time())) {
        echo '<div class="gmenu">' . $lng['birthday'] . '!!!</div>';
    }
    // Информация о юзере
    $arg = array(
        'lastvisit' => 1,
        'iphist'    => 1,
        'header'    => '<b></b>'
    );
    if ($user['id'] != core::$user_id) {
        $arg['footer'] = '<span class="gray">' . core::$lng['where'] . ':</span> ' . functions::display_place($user['id'], $user['place']);
    }
    core::$user_set['avatar'] = 0;
    echo '<div class="user">' . functions::display_user($user, $arg) . '</div>';
    // Если юзер ожидает подтверждения регистрации, выводим напоминание
    if ($rights >= 7 && !$user['preg'] && empty($user['regadm'])) {
        echo '<div class="rmenu">' . $lng_profile['awaiting_registration'] . '</div>';
    }
    // Меню анкеты
    $menu = array();
    if ($user['id'] == $user_id || $rights == 9 || ($rights == 7 && $rights > $user['rights'])) {
        $menu[] = '<div class="list1" style="padding:0px;"><a style="display:block;padding:8px 12px;" href="profile.php?act=edit&amp;user=' . $user['id'] . '">' . $lng['edit'] . '</a></div>';
    }
    if ($user['id'] != $user_id && $rights >= 7 && $rights > $user['rights']) {
        $menu[] = '<a href="' . $set['homeurl'] . '/' . $set['admp'] . '/index.php?act=usr_del&amp;id=' . $user['id'] . '">' . $lng['delete'] . '</a>';
    }
    if ($user['id'] != $user_id && $rights > $user['rights']) {
        $menu[] = '<a href="profile.php?act=ban&amp;mod=do&amp;user=' . $user['id'] . '">' . $lng['ban_do'] . '</a>';
    }
    if (!empty($menu)) {
        echo '<div class="tmn">' . functions::display_menu($menu) . '</div>';
    }
    echo '<div class="timeline-statistics-wrapper">' .
        '<table border="0" width="100%" cellpadding="0" cellspacing="0">' .
        '<tr>' .
        '<td class="statistic" align="center" valign="middle">' .
        '<a style="display:block;padding:8px 12px;" href="?act=info&user=' . $user['id'] . '">Анкета <span class="user"> ID:' . $user['id'] . '</span></a>' .
        '</td>' .
        '<td class="statistic" align="center" valign="middle">' .
        '<a style="display:block;padding:8px 12px;" href="profile.php?act=stat&amp;user=' . $user['id'] . '">' . $lng['statistics'] . '</span></a>' .
        '</td>' .
        '<td class="statistic" align="center" valign="middle">' .
        '<a style="display:block;padding:8px 12px;" href="?act=activity&user=' . $user['id'] . '">' . $lng_profile['activity'] . '</a>' .
        '</td>' .
        '</tr>' .
        '</table>' .
        '</div>';    
    if (file_exists('../files/users/photo/'.$user['id'].'.jpg')) {
        $anhbia = '/files/users/photo/'.$user['id'].'.jpg';
    } else {
        if (file_exists(('../files/users/photo/' . $user['id'] . '.png'))) {
            $anhbia = '/files/users/photo/'.$user['id'].'.png';
        } else {
            $anhbia = '/images/nofoto.jpg';
        }
    }
    if (file_exists(('../files/users/avatar/' . $user['id'] . '.png'))) {
        $ava = '/files/users/avatar/'.$user['id'].'.png';
    } else {
        $ava = '/images/empty.png';
    }
    $lgab = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id` = '".$user['id']."' LIMIT 1"));// что за запрос нах?
  
    echo '<style>#profile{background:url('.$anhbia.');   
    background-position: center;
	background-size: 100% 100%;	
    width: 100%;height: auto
    margin-bottom: 5px;
    background-repeat: no-repeat;    
    }  
    .contect { 
    background-color:rgba(1, 46, 69,0.2);
    width:100%; height: auto;
    padding-top:100px;
    padding-bottom:8px;        
    }    
    #pagina{width:100%;margin:0 auto;padding:0} #page_body{padding-top:2px;clear:both;margin:0} #wrapper{z-index:2;position:relative;  margin-top:7px;}    
    </style>
<div id="profile"><div class="contect"><div id="pagina">
<div id="page_body">
<table cellpadding="0" cellspacing="0">
<tr><td>
<div style="width: 70px; 
background: url('.$ava.') no-repeat;
height: 70px;
background-size: 75px 75px;
-webkit-border-radius: 50%;
border-radius: 50%; -moz-border-radius: 50%;
margin-left:7px;
margin:1px 2px 2px 1px; 
padding:2px; 
box-shadow: 2px 2px 2px #3A4558;
"></div></td><td style="font-size: 16px; color: #fff; padding: 0px 0px 0px 5px;"></td></tr></table></div></div></div></div>';
    if ($user_id == $user['id']) {
        echo '<div class="topmenu" style="padding:0px;"><a style="display:block;padding:8px 12px;" href="profile.php?act=images&amp;mod=up_photo&amp;user=' . $user['id'] . '">' . $lng_profile['upload'] . ' фото</a>' . $link . '</div>';
    }
    // Карма
    if ($set_karma['on']) {
        $karma = $user['karma_plus'] - $user['karma_minus'];
        if ($karma > 0) {
            $images = ($user['karma_minus'] ? ceil($user['karma_plus'] / $user['karma_minus']) : $user['karma_plus']) > 10 ? '2' : '1';
            echo '<div class="gmenu">';
        } elseif ($karma < 0) {
            $images = ($user['karma_plus'] ? ceil($user['karma_minus'] / $user['karma_plus']) : $user['karma_minus']) > 10 ? '-2' : '-1';
            echo '<div class="rmenu">';
        } else {
            $images = 0;
            echo '<div class="list2">';
        }
        echo '<table  width="100%"><tr><td width="22" valign="top"><img src="' . $set['homeurl'] . '/images/k_' . $images . '.gif"/></td><td>' .
            '<div class="topmenu">' .
            '<span class="green"><a href="profile.php?act=karma&amp;user=' . $user['id'] . '&amp;type=1">' . functions::image('karma2.png') . ' ' . $user['karma_plus'] . '</a></span>' .
            '<span class="red"><a href="profile.php?act=karma&amp;user=' . $user['id'] . '">' . functions::image('karma1.png') . ' ' . $user['karma_minus'] . '</a></span>';
        if ($user['id'] != $user_id) {
            if (!$datauser['karma_off'] && (!$user['rights'] || ($user['rights'] && !$set_karma['adm'])) && $user['ip'] != $datauser['ip']) {
                $sum = mysql_result(mysql_query("SELECT SUM(`points`) FROM `karma_users` WHERE `user_id` = '$user_id' AND `time` >= '" . $datauser['karma_time'] . "'"), 0);
                $count = mysql_result(mysql_query("SELECT COUNT(*) FROM `karma_users` WHERE `user_id` = '$user_id' AND `karma_user` = '" . $user['id'] . "' AND `time` > '" . (time() - 86400) . "'"), 0);
                if (!$ban && $datauser['postforum'] >= $set_karma['forum'] && $datauser['total_on_site'] >= $set_karma['karma_time'] && ($set_karma['karma_points'] - $sum) > 0 && !$count) {
                    echo '<br /><div class="topmenu"><a href="profile.php?act=karma&amp;mod=vote&amp;user=' . $user['id'] . '">' . $lng['vote'] . '</a></div>';
                }
            }
        } else {
            $total_karma = mysql_result(mysql_query("SELECT COUNT(*) FROM `karma_users` WHERE `karma_user` = '$user_id' AND `time` > " . (time() - 86400)), 0);
            if ($total_karma > 0) {
                echo '<br /><div class="topmenu"><a href="profile.php?act=karma&amp;mod=new">' . $lng['responses_new'] . '</a></div> (' . $total_karma . ')';
            }
        }
        echo '</div></td></tr></table></div>';
    }
    
    
    // Меню выбора
    //$total_photo = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_album_files` WHERE `user_id` = '" . $user['id'] . "'"), 0);
    $cnt = mysql_fetch_assoc(mysql_query('SELECT * FROM (
SELECT COUNT(*) photo FROM `cms_album_files` WHERE `user_id` = ' . $user['id'] . ')t, (
SELECT COUNT(*) ban  FROM `cms_ban_users` WHERE `user_id` = ' . $user['id'] . ')tt, (
SELECT COUNT(*) friends FROM `cms_contact` WHERE `user_id`=' . $user['id'] . ' AND `type`=2 AND `friends`=1)ttt'));          
    
    // $bancount = mysql_result(mysql_query("SELECT COUNT(*)  FROM `cms_ban_users` WHERE `user_id` = '" . $user['id'] . "'"), 0);
    if ($cnt['ban']) {
        echo '<div><img src="../images/block.gif" width="16" height="16"/>&#160;<a href="profile.php?act=ban&amp;user=' . $user['id'] . '">' . $lng['infringements'] . '</a> (' . $bancount . ')</div>';
    }
    //$total_friends = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_contact` WHERE `user_id`='{$user['id']}' AND `type`='2' AND `friends`='1'"), 0);
    echo '<div class="list1" style="padding:0px;"><a style="display:block;padding:8px 12px;" href="album.php?act=list&amp;user=' . $user['id'] . '">' . functions::image('photo.png') . ' ' . $lng['photo_album'] . '&#160;<span class="count"> ' . $cnt['photo'] . '</span></a></div>' .
        '<div class="list1" style="padding:0px;"><a style="display:block;padding:8px 12px;" href="profile.php?act=guestbook&amp;user=' . $user['id'] . '">' . functions::image('guestbook.gif') . ' ' . $lng['guestbook'] . '&#160;<span class="count"> ' . $user['comm_count'] . '</span></a></div>' .
        '<div class="list1" style="padding:0px;"><a style="display:block;padding:8px 12px;" href="profile.php?act=friends&amp;user=' . $user['id'] . '">' . functions::image('users.png') . ' ' . $lng_profile['friends'] . '&#160;<span class="count"> ' . $cnt['friends'] . '</span></a></div>';
    if ($user['id'] != $user_id) {
        echo '<div class="tmn"><p>';
  
        echo '</div>' .
        '<div class="timeline-statistics-wrapper">' .
        '<table border="0" width="100%" cellpadding="0" cellspacing="0">' .
        '<tr>' .
        '<td class="statistic" align="center" valign="middle">';
        // Контакты
        if (!functions::is_ignor($user['id']) && functions::is_contact($user['id']) != 2) {
            if (!functions::is_friend($user['id'])) {
                $fr = mysql_fetch_assoc(mysql_query('SELECT * FROM (
SELECT COUNT(*) `in` FROM `cms_contact` WHERE `type`="2" AND `from_id`=' . $user_id . ' AND `user_id`=' . $user['id'] . ')t1, (
SELECT COUNT(*) `out` FROM `cms_contact` WHERE `type`="2" AND `user_id`=' . $user_id . ' AND `from_id`=' . $user['id'] . ')t2'));
                //$fr_in = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_contact` WHERE `type`='2' AND `from_id`='$user_id' AND `user_id`='{$user['id']}'"), 0);
                //$fr_out = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_contact` WHERE `type`='2' AND `user_id`='$user_id' AND `from_id`='{$user['id']}'"), 0);
                if ($fr['in'] == 1) {
                    $friend = '<a style="display:block;padding:8px 12px;" href="profile.php?act=friends&amp;do=ok&amp;id=' . $user['id'] . '"> ' . $lng_profile['confirm_friendship'] . '</a>' .
                    '</td>' .
                    '<td class="statistic" align="center" valign="middle">' .
                    '<a style="display:block;padding:8px 12px;" href="profile.php?act=friends&amp;do=no&amp;id=' . $user['id'] . '"> ' . $lng_profile['decline_friendship'] . '</a>';
                } elseif ($fr['out'] == 1) {
                    echo '</td>' .
                    '<td class="statistic" align="center" valign="middle">';
                    $friend = '<a style="display:block;padding:8px 12px;" href="profile.php?act=friends&amp;do=cancel&amp;id=' . $user['id'] . '"> ' . $lng_profile['canceled_demand_friend'] . '</a>';
                } else {
                    echo '</td>' .
                    '<td class="statistic" align="center" valign="middle">';
                    $friend = '<a style="display:block;padding:8px 12px;" href="profile.php?act=friends&amp;do=add&amp;id=' . $user['id'] . '"> ' . $lng_profile['in_friend'] . '</a>';
                }
            } else {
                echo '</td>' .
                '<td class="statistic" align="center" valign="middle">';
                $friend = '<a style="display:block;padding:8px 12px;" href="profile.php?act=friends&amp;do=delete&amp;id=' . $user['id'] . '"> ' . $lng_profile['remov_friend'] . '</a>';
            }
            echo '' . $friend . '';
        }
        echo '</td>' .
        '<td class="statistic" align="center" valign="middle">';
        if (functions::is_contact($user['id']) != 2) {
            if (!functions::is_contact($user['id'])) {
                echo '<a style="display:block;padding:8px 12px;" href="../mail/index.php?id=' . $user['id'] . '"> ' . $lng_profile['add_contacts'] . '</a>';
            } else {
                echo '</td>' .
                '<td class="statistic" align="center" valign="middle">';
                echo '<a style="display:block;padding:8px 12px;" href="../mail/index.php?act=deluser&amp;id=' . $user['id'] . '"> ' . $lng_profile['delete_contacts'] . '</a>';
            }
        }
        echo '</td>' .
        '<td class="statistic" align="center" valign="middle">';
        if (functions::is_contact($user['id']) != 2) {
            echo '<a style="display:block;padding:8px 12px;" href="../mail/index.php?act=ignor&amp;id=' . $user['id'] . '&amp;add"> ' . $lng_profile['add_ignor'] . '</a>';
        } else {
            echo '</td>' .
            '<td class="statistic" align="center" valign="middle">';
            echo '<a style="display:block;padding:8px 12px;" href="../mail/index.php?act=ignor&amp;id=' . $user['id'] . '&amp;del"> ' . $lng_profile['delete_ignor'] . '</a>';
        }
        
        echo '</td>' .
        '</tr>' .
        '</table>' .
        '</div>';
        echo '</p>';
        if (!functions::is_ignor($user['id']) && functions::is_contact($user['id']) != 2 && empty($ban['1']) && empty($ban['3'])) {
            echo '<form action="../mail/index.php?act=write&amp;id=' . $user['id'] . '" method="post"><input type="submit" value="' . $lng['write'] . '" style="margin-left: 18px"/></form>';
        }
        echo '</div>';
    }
}
require_once('../incfiles/end.php');
